### A free/open-source library for quantitative finance

Classes | Defines
ql/math/solver1d.hpp File Reference

Abstract 1-D solver class. More...

`#include <ql/math/comparison.hpp>`
`#include <ql/utilities/null.hpp>`
`#include <ql/patterns/curiouslyrecurring.hpp>`
`#include <ql/errors.hpp>`
`#include <iomanip>`
Include dependency graph for solver1d.hpp:

## Classes

class | Solver1D< Impl >
| Base class for 1-D solvers. More...

## Defines

#define | MAX_FUNCTION_EVALUATIONS 100

## Detailed Description

Abstract 1-D solver class.